function bdot=bdotbhg(x,bid)
%bdot=BDOTBHG(x,bid)
%  First-derivative of transformed equilibrium strategy in first-price 
%  BHG model. Used to solve ODE in bidbhg1.m

%  Michael Gordy <mgordy@frb.gov>  December 24, 1997

global alpha_ n_ tau_ beta_ 

% Test x==0
ee=(x==0);
bdot=zeros(size(x));
if any(ee)
  bdot(ee)=zeros(1,sum(ee));
end
if any(~ee)
  [nu,lambda]=bhgnulambda(x(~ee)',alpha_,beta_,tau_,n_);
  bdot(~ee) = (nu'-bid(~ee)).*lambda';
end
  

