function bdot=bdotghg(x,bid)
%bdot=BDOTGHG(x,bid)
%  First-derivative of equilibrium strategy in first-price GHG model.
%  Used to solve ODE in bidghg1.m

%  Michael Gordy <mgordy@frb.gov>  December 22, 1997

global alpha_ n_ tau_ beta_

% Test x==0
ee=(x==0);
bdot=zeros(size(x));
if any(ee)
  % Slope at x=0.  Same as for GIG case.
  s1=((n_-1)/n_)*(alpha_+2*tau_)*psi(Inf,alpha_+1,beta_,tau_,n_-2,n_);
  s2=n_^tau_*tau_*beta(alpha_+tau_,tau_)*psi(Inf,alpha_,beta_,tau_,n_-1,n_);
  s3=(n_-1)*tau_*psi(Inf,alpha_,beta_,tau_,n_-2,n_);
  s=s1/(s2+s3);
  bdot(ee)=repmat(s,1,sum(ee));
end
if any(~ee)
  [nu,lambda]=ghgnulambda(x(~ee)',alpha_,beta_,tau_,n_);
  bdot(~ee) = (nu'-bid(~ee)).*lambda';
end

