function bdot=bdotxbnlg(x,xbid)
%bdot=BDOTXBNLG(x,xbid)
%  First-derivative of transformed equilibrium strategy in first-price 
%  BNLG model. Used to solve ODE in bidbnlg1.m

%  Michael Gordy <mgordy@frb.gov>  July 15, 1997

global alpha_ n_ tau_ beta_ 

% Test x==0
ee=(x==0);
bdot=zeros(size(x));
if any(ee)
  bdot(ee)=zeros(1,sum(ee));
end
if any(~ee)
  [nu,xlambda]=bnlgnuxlambda(x(~ee)',alpha_,beta_,tau_,n_);
  bdot(~ee) = (nu.*xlambda)' + (xbid(~ee)./x(~ee)).*(1 - xlambda');
end
  
