%BHGNULAMBDA(x,alpha,beta,tau,n) returns the BHG nu and lambda functions.
%
%  Inputs:
%     x = column vector of signal values, 0<=x<=1.
%     (alpha, beta, tau, n) = model parameters (scalars)
%
%  Outputs:
%     [nu,lambda] = column vectors 
%
%  Notes:
%    (1) The transform is h(X)=(1-X)/X.  See gigbnlg.README.
%    (2) Calling nu=bhgnulambda(...) returns only nu.
%    (3) Unlike bnlgnuxlambda and blsgnuxlambda, this function
%        returns lambda, not x*lambda.
%
%  Requires: bhgnulambda.mex

%  Michael Gordy <mgordy@frb.gov>  December 24, 1997
