function bb=bidbhg2(x,aleph,bet,tau,n)
%bid=BIDBHG2(x,alpha,beta,tau,n)
%  Returns equilibrium bidding strategy in second-price BHG model.
%  
%  Inputs:
%     x = column vector of signal points, 0<=x<=1
%     (alpha, beta, tau, n) = model parameters (scalars)
%
%  Output:
%     bid = vector of bid values at x points
%
%  Requires: bhgnulambda.mex

%  Michael Gordy <mgordy@frb.gov>  December 24, 1997
%  See "Computationally Convenient Distributional Assumptions for Common
%  Value Auctions" by Michael B. Gordy.

disp('BIDBHG2: Solving BHG 2nd price model')
dstr='Parameters alpha=%6.4f,beta=%6.4f,tau=%2.0f,n=%2.0f';
disp(sprintf(dstr,[aleph,bet,tau,n]))
bb=bhgnulambda(x,aleph,bet,tau,n);
