function bb=bidblsg2(x,aleph,bet,tau,n)
%bid=BIDBLSG2(x,alpha,beta,tau,n)
%  Returns equilibrium bidding strategy in second-price BLSG model.
%  
%  Inputs:
%     x = column vector of signal points, 0<x<1
%     (alpha, beta, tau, n) = model parameters (scalars)
%
%  Output:
%     bid = vector of bid values at x points
%
%  Requires: blsgnuxlambda.mex

%  Michael Gordy <mgordy@frb.gov>  July 15, 1997
%  See "Computationally Convenient Distributional Assumptions for Common
%  Value Auctions" by Michael B. Gordy, Federal Reserve Board Finance and
%  Economics Discussion Series, 1997-5, January 1997.

disp('BIDBLSG2: Solving BLSG 2nd price model')
dstr='Parameters alpha=%6.4f,beta=%6.4f,tau=%2.0f,n=%2.0f';
disp(sprintf(dstr,[aleph,bet,tau,n]))
bb=blsgnuxlambda(x,aleph,bet,tau,n);
