function bb=bidghg2(x,aleph,bet,tau,n)
%bid=BIDGHG2(x,alpha,beta,tau,n)
%  Returns equilibrium bidding strategy in second-price GHG model.
%  See gigbnlg.README
%
%  Inputs:
%     x = column vector of signal points, 0<=x<=1.
%     (alpha, beta, tau, n) = model parameters (scalars)
%
%  Output:
%     bid = vector of bid values at x points
%
%  Requires: ghgnulambda.mex

%  Michael Gordy <mgordy@frb.gov>  December 22, 1997

disp('BIDGHG2: Solving GHG 2nd price model')
dstr='Parameters alpha=%6.4f,beta=%6.4f,tau=%2.0f,n=%2.0f';
disp(sprintf(dstr,[aleph,bet,tau,n]))
if any(x>1 | x<0)
  error('BIDGHG2: x must be in unit interval.')
end
bb=ghgnulambda(x,aleph,bet,tau,n);
