function bb=bidgig2(x,aleph,bet,tau,n)
%bid=BIDGIG2(x,alpha,beta,tau,n)
%  Returns equilibrium bidding strategy in second-price GIG model.
%  
%  Inputs:
%     x = column vector of signal points, 0<=x.
%     (alpha, beta, tau, n) = model parameters (scalars)
%
%  Output:
%     bid = vector of bid values at x points
%
%  Requires: gignulambda.mex

%  Michael Gordy <mgordy@frb.gov>  October 3, 1997
%  See "Computationally Convenient Distributional Assumptions for Common
%  Value Auctions" by Michael B. Gordy, Federal Reserve Board Finance and
%  Economics Discussion Series, 1997-5, January 1997.

disp('BIDGIG2: Solving GIG 2nd price model')
dstr='Parameters alpha=%6.4f,beta=%6.4f,tau=%2.0f,n=%2.0f';
disp(sprintf(dstr,[aleph,bet,tau,n]))
bb=gignulambda(x,aleph,bet,tau,n);
