/*--------------------------------------------------------------------------
  POLY_EXP.C: Polynomial expansion function 
--------------------------------------------------------------------------*/

void poly_exp(double *newresult, double *poly, int N, int K) {
 int i,j,n;
 double *oldresult;
 oldresult=(double *)calloc(N*K+1,sizeof(double));
 if (N<0) {
   mexPrintf("Error: N<0.\n");
   exit(1);
 }
 else if (N==0) {
   *newresult=1;
   free(oldresult);
   return;
 }
 for (i=0;i<=K;i++)
   *(oldresult+i)=(*(poly+i));
 if (N>1) {
   for (n=2;n<=N;n++) {
     for (i=0;i<=K;i++)
       for (j=0;j<=(n-1)*K;j++)
	 *(newresult+i+j)+=(*(poly+i))*(*(oldresult+j));
     for (i=0;i<n*K+1;i++) {
       *(oldresult+i)=(*(newresult+i));
       *(newresult+i)=0;
     }
   }
 }
 for (i=0;i<N*K+1;i++)
   *(newresult+i)=(*(oldresult+i));
 free(oldresult);
}
