/*--------------------------------------------------------------------------
  PSI_C.C: Guts of PSI.C calculations.

  SYNTAX:
    double psi_c(double s, double a, double b, int tau, 
                                     int m, int n, double *c)

--------------------------------------------------------------------------*/

/* Psi function */
#define infnty 1.0/0.0

double psi_c(double s, double a, double b, int tau, int m, int n, double *c) {
 int j;
 double result,atau,z,rj=1,M;
   if (tau==1 || m==0)
     return(1.0);
   else {
     if (s<infnty)
        z=(tau*s)/(b+n*tau*s);
     else
        z=1/n;
     result=(*c);
     atau=a+tau*(n-m);
     for (j=1;j<m*(tau-1)+1;j++) {
       rj*=z*(atau+j-1);
       result+=(*(c+j))*rj;
     }
   }
 return(result);
}

